Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143463 - Code completion: script imports
Code completion: script imports
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Strupl
issues@javafx
:
Depends on:
Blocks: 130138 146952
  Show dependency treegraph
 
Reported: 2008-08-11 14:01 UTC by David Strupl
Modified: 2008-10-23 10:57 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-08-11 14:01:39 UTC
The "import" statement has been enhanced to include the functionality of "import static" in Java.  So, "import Foo.*"
statically imports all the script-level variables (what used to be called static variables) in script Foo.
Comment 1 David Strupl 2008-10-22 21:10:06 UTC
Code completion now suggests the functions imported via static imports.
Comment 2 Alexandr Scherbatiy 2008-10-23 10:57:48 UTC
verified in 2008-10-23_03-01-09.zip 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo